/*
 *  Copyright (C) 2000 Marco Pesenti Gritti
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef MIME_DIALOG_H
#define MIME_DIALOG_H

#include <galeon-dialog.h>
#include <glib-object.h>
#include <glib.h>

typedef struct MimeDialog MimeDialog;
typedef struct MimeDialogClass MimeDialogClass;

#define MIME_DIALOG_TYPE             (mime_dialog_get_type ())
#define MIME_DIALOG(obj)             (GTK_CHECK_CAST ((obj), MIME_DIALOG_TYPE, MimeDialog))
#define MIME_DIALOG_CLASS(klass)     (GTK_CHECK_CLASS_CAST ((klass), MIME_DIALOG, MimeDialogClass))
#define IS_MIME_DIALOG(obj)          (GTK_CHECK_TYPE ((obj), MIME_DIALOG_TYPE))
#define IS_MIME_DIALOG_CLASS(klass)  (GTK_CHECK_CLASS_TYPE ((klass), MIME_DIALOG))

typedef struct MimeDialogPrivate MimeDialogPrivate;

struct MimeDialog 
{
        GaleonDialog parent;
        MimeDialogPrivate *priv;
};

struct MimeDialogClass
{
        GaleonDialogClass parent_class;
};

GType             mime_dialog_get_type          (void);

GaleonDialog     *mime_dialog_new               (GtkWidget *parent);

#endif
